"""
Configuration class for copr-rpmbuild
"""


import os
import yaml

CONFIG_PATH = "/etc/copr-rpmbuild/copr-rpmbuild.yaml"

class Config:
    """
    Configuration class for copr-rpmbuild
    """
    def __init__(self):
        self.job_tag_to_mock_snippets = {}

    def load_config(self):
        """
        Load configuration from the config file
        """
        if not os.path.exists(CONFIG_PATH):
            return

        with open(CONFIG_PATH, "r", encoding="utf-8") as file:
            config_data = yaml.safe_load(file) or {}

        self.job_tag_to_mock_snippets = config_data.get('job_tag_to_mock_snippets', {})
